#
# spec file for package perl-JSON-Validator
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-JSON-Validator
Version:        3.08
Release:        bp153.1.12
%define cpan_name JSON-Validator
Summary:        Validate data against a JSON schema
License:        Artistic-2.0
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/J/JH/JHTHORSEN/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Mojolicious) >= 7.28
BuildRequires:  perl(Test::More) >= 1.30
Requires:       perl(Mojolicious) >= 7.28
%{perl_requires}

%description
JSON::Validator is a data structure validation library based around at
https://json-schema.org/. This module can be used directly with a JSON
schema or you can use the elegant DSL schema-builder JSON::Validator::joi
to define the schema programmatically.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README.md

%changelog
* Sun Apr  7 2019 Stephan Kulow <coolo@suse.com>
- updated to 3.08
  see /usr/share/doc/packages/perl-JSON-Validator/Changes
  3.08 2019-04-06T15:07:11+0700
  - Add support for "default" in object definitions #155
  - Add support for coerce("bool,def,num,str") as alternative to hash
  - Add support for setting coerce in new()
  - Deprecated support for coerce(1)
* Fri Apr  5 2019 Stephan Kulow <coolo@suse.com>
- updated to 3.07
  see /usr/share/doc/packages/perl-JSON-Validator/Changes
  3.07 2019-04-04T23:43:55+0700
  - Fix not leaking file names with bundle()
* Fri Feb 15 2019 Stephan Kulow <coolo@suse.com>
- updated to 3.06
  see /usr/share/doc/packages/perl-JSON-Validator/Changes
  3.06 2019-02-14T18:24:29+0100
  - Fix coercing integers and numbers #147
  - Changed recursion guard to not keeping tracking of plain scalars #147
* Fri Feb  1 2019 Stephan Kulow <coolo@suse.com>
- updated to 3.05
  see /usr/share/doc/packages/perl-JSON-Validator/Changes
* Wed Jan 30 2019 Christian Dywan <cdywan@suse.de>
- Add missing BuildRequires for tests
- Skip failing id-keyword-draft4.t
